FreeMat

- Main Page
- Related Pages

vtkAnnotation

Section: Visualization Toolkit Filtering Classes

# Usage

vtkAnnotation is a collection of annotation properties along with an associated selection indicating the portion of data the annotation refers to.

.SECTION Thanks Timothy M. Shead (tshea.nosp@m.d@sa.nosp@m.ndia..nosp@m.gov) at Sandia National Laboratories contributed code to this class.

To create an instance of class vtkAnnotation, simply invoke its constructor as follows

      obj = vtkAnnotation

# Methods

The class vtkAnnotation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAnnotation class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAnnotation = obj.NewInstance ()`
- `vtkAnnotation = obj.SafeDownCast (vtkObject o)`
- `vtkSelection = obj.GetSelection ()` - The selection to which this set of annotations will apply.
- `obj.SetSelection (vtkSelection selection)` - The selection to which this set of annotations will apply.
- `obj.Initialize ()` - Initialize the annotation to an empty state.
- `obj.ShallowCopy (vtkDataObject other)` - Make this annotation have the same properties and have the same selection of another annotation.
- `obj.DeepCopy (vtkDataObject other)` - Make this annotation have the same properties and have a copy of the selection of another annotation.
- `long = obj.GetMTime ()` - Get the modified time of this object.